import time, sys
from rgbmatrix import RGBMatrix, RGBMatrixOptions
from PIL import Image, ImageDraw, ImageFont

options = RGBMatrixOptions()
options.cols = 64
options.rows = 64
options.parallel = 1
options.gpio_slowdown = 3
options.drop_privileges=False

panelImageFileName = "panel.jpg"
imageWidth = 64
imageHeight = 64

image = Image.new("RGB", (imageWidth, imageHeight), (0, 0, 0))
draw = ImageDraw.Draw(image)
font = ImageFont.load_default()

draw.text((0, 0), "29-07-22", fill=(255, 0, 0), font=font)
draw.text((0, 8), "6yrs 146days", fill=(255, 255, 0), font=font)
draw.text((0, 16), "13%", fill=(0, 0, 255), font=font)
draw.text((0, 24), "CO2", fill=(255, 255, 255), font=font)

image.save(panelImageFileName)

matrix = RGBMatrix(options = options)
matrix.SetImage(image)

while True:
    try:
        time.sleep(100)
    except KeyboardInterrupt:
        break
